> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Material Finishes



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/catalog-families/{familyId}/finishes/{finishId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{familyId}/finishes/{finishId}:
    patch:
      tags:
        - Material Finishes
      summary: Update Material Finishes
      operationId: MaterialFinishesController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: familyId
          required: true
          in: path
          schema:
            type: string
        - name: finishId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMaterialFinishDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaterialFinishResponseDto'
components:
  schemas:
    UpdateMaterialFinishDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        sku:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
        imageId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d*$
            - type: 'null'
        columnsAttributes:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        version:
          type: integer
          minimum: 1
          maximum: 9007199254740991
      required:
        - version
      additionalProperties: false
    MaterialFinishResponseDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        name:
          type: string
        sku:
          type: string
          nullable: true
        imageId:
          type: string
          nullable: true
        primaryImageUrl:
          type: string
          nullable: true
        isPrimary:
          type: boolean
        isBaseMaterial:
          type: boolean
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        productsCount:
          type: number
        primarySource:
          type: object
          properties:
            id:
              type: string
            version:
              type: number
            columnsAttributes:
              type: object
              additionalProperties: true
          required:
            - id
            - version
            - columnsAttributes
        coreChangePolicy:
          type: object
      required:
        - id
        - familyId
        - name
        - sku
        - imageId
        - primaryImageUrl
        - isPrimary
        - isBaseMaterial
        - columnsAttributes
        - version
        - productsCount
        - primarySource
        - coreChangePolicy

````